from typing import TypedDict


class IActivitySummary(TypedDict):
    timestamp: int
    activity: str
    date: str
    time: str
    duration: float
    total_distance: float
    avg_heart_rate: int
    max_heart_rate: int
    calories_burned: int


class IRun(TypedDict):
    timestamp: int
    latitude: int
    longitude: int
    heart_rate: int
    speed: float
    cadence: int
    altitude: int
