CREATE_ACTIVITY_TABLE = """
CREATE TABLE IF NOT EXISTS activity (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    timestamp INTEGER UNIQUE,
    activity STRING,
    date STRING,
    time STRING,
    duration REAL,
    total_distance REAL,
    avg_heart_rate INTEGER,
    max_heart_rate INTEGER,
    calories_burned INTEGER
)
"""

CREATE_RUN_POINTS_TABLE = """
CREATE TABLE IF NOT EXISTS run_points (
    point_id INTEGER PRIMARY KEY AUTOINCREMENT,
    activity_id INTEGER,
    timestamp INTEGER,
    latitude INTEGER,
    longitude INTEGER,
    heart_rate INTEGER,
    speed REAL,
    cadence INTEGER,
    altitude INTEGER
)

"""
