# Garmin Exporter

A Python application that exports activity and health metrics from my Garmin
Instinct 2 smart-watch and stores them in an SQLite database.

## Metrics

| Metric            | Database unit                        |
| ----------------- | ------------------------------------ |
| `duration`        | decimal minutes                      |
| `total_distance`  | kilometeters (to two decimal places) |
| `avg_heart_rate`  | beats/minute                         |
| `max_heart_rate`  | beats/minute                         |
| `calories_burned` | integer                              |
| `cadence`         | steps per minute                     |
| `latitude`        | !conversion needed                   |
| `longitude`       | !conversion needed                   |
| `altitude`        | meters above sea level               |
| `speed`           | meters per second                    |
