from services.database_connection import DatabaseConnection
from services.table_service import TableService
from sql.create_views import CREATE_RUNS_VIEW


def create_views():
    with DatabaseConnection() as connection:
        table_service = TableService(connection)

        print("INFO Creating `runs` view if not exists:")
        print(CREATE_RUNS_VIEW)
        table_service.create_view(CREATE_RUNS_VIEW, "Problem creating `runs` view")
