import json
import os

from garmin_fit_sdk import Decoder, Stream


def dump_metrics(mnt_path):
    with os.scandir(mnt_path) as entries:
        files = [entry.path for entry in entries if entry.is_file()]
        fit_file = files[12]
        stream = Stream.from_file(fit_file)
        decoder = Decoder(stream)
        messages, errors = decoder.read(
            convert_datetimes_to_dates=False,
        )
        with open("/home/thomas/Desktop/activity.json", "w") as f:
            json.dump(messages, f, indent=4)
        print(messages)
